Get store profile
curl --request GET \
--url https://scrapebadger.com/v1/aliexpress/stores/{store_id} \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/aliexpress/stores/{store_id}"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/aliexpress/stores/{store_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/aliexpress/stores/{store_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/aliexpress/stores/{store_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/aliexpress/stores/{store_id}")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/aliexpress/stores/{store_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyAliExpress endpoints
Get store profile
Get store profile.
GET
/
v1
/
aliexpress
/
stores
/
{store_id}
Get store profile
curl --request GET \
--url https://scrapebadger.com/v1/aliexpress/stores/{store_id} \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/aliexpress/stores/{store_id}"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/aliexpress/stores/{store_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/aliexpress/stores/{store_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/aliexpress/stores/{store_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/aliexpress/stores/{store_id}")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/aliexpress/stores/{store_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyGet store profile.
Credits: 10 per successful request. Failed requests and empty result sets are not charged.
Browse all AliExpress endpoints.
Authentication
string
required
Your ScrapeBadger API key.
Parameters
string
required
Store id.
string
default:"US"
Country.
string
default:"USD"
Currency.
string
default:"en"
Language.
Response
{
"store_id": "1103608546",
"canonical_store_id": "1103609491",
"seller_id": "2683395990",
"url": "https://www.aliexpress.com/store/1103608546",
"profile": {
"businessLicenseTitle": "Business License",
"countryCode": "CN",
"countryName": "China",
"fans": false,
"followedButtonTitle": "Followed",
"follows": "330 followers",
"hasStore": true,
"since": "From Mar 20, 2024",
"storeLogo": "https://ae-pic-a1.aliexpress-media.com/kf/S7e6c716316b7479d87ce43f135ded5c07.jpg",
"storeName": "ATTACK SHARK GAMING Store",
"storeNum": "1103609491",
"successFollowedTip": "successfully followed",
"unfollowButtonTitle": "Follow",
"unfollowedTip": "successfully unfollowed"
},
"review_summary": {
"buyerEvaluationInfoTitle": "Customer reviews ",
"positiveFeedBackHigherLevel": false,
"positiveFeedBackTitle": "positive reviews",
"positiveFeedBackValue": "92.3",
"totalNegativeSixMonths": "50",
"totalNegativeTitle": "Negative",
"totalNeutralSixMonths": "26",
"totalNeutralTitle": "Neutral",
"totalNumSixMonths": "552",
"totalPositiveSixMonths": "476",
"totalPositiveTitle": "Positive"
},
"operating_scores": [
{
"higherLevel": false,
"title": "store rating",
"value": "4.8"
}
]
}
Example
curl --get 'https://scrapebadger.com/v1/aliexpress/stores/1103608546' \
--header 'X-API-Key: YOUR_API_KEY'

